package com.ys.product.ysmq.front.log;

/**
 * <p>
 * 日志工厂,用户可以设置自己使用的日志框架.默认使用的是slf4j-log4j12框架. 实现自己的日志就是实现Log接口,可以参照SimpleLogger的实现.
 * </p>
 * 
 * @author jiangyuechao 2018年5月30日 下午7:12:48
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年5月30日
 * @modify by reason:{方法名}:{原因}
 */
public class LogFactory {

    private static Log log;

    public static Log getLog(Class<?> clazz) {
        // System.out.println("log:" + log);
        if (log == null) {
            log = new SimpleLogger();
        }
        return log.getLog(clazz);
    }

    /**
     * 返回以调用者的类命名的Log.
     */
    public static Log getLog(String className) {
        if (log == null) {
            log = new SimpleLogger();
        }
        return log.getLog(className);
    }

    /**
     * <p>
     * 设置自定义打印日志的log,如果不设置,默认使用slf4j.
     * </p>
     * 
     * @author jiangyuechao 2018年5月30日 下午7:23:03
     */
    @SuppressWarnings("unused")
    private static void setLog(Log log) {
        LogFactory.log = log;
    }

}
