package com.ys.product.ysmq.front.log;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>
 * 简单的日志实现类,用slf4j实现
 * </p>
 * 
 * @author jiangyuechao 2018年5月30日 下午7:33:00
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年5月30日
 * @modify by reason:{方法名}:{原因}
 */
public class SimpleLogger implements Log {

    private Logger defaultLogger = null;

    public SimpleLogger() {

    }

    public SimpleLogger(Logger logger) {
        this.defaultLogger = logger;
    }

    @Override
    public Log getLog(Class<?> clazz) {
        defaultLogger = LoggerFactory.getLogger(clazz);
        return new SimpleLogger(defaultLogger);
    }

    @Override
    public Log getLog(String className) {
        defaultLogger = LoggerFactory.getLogger(className);
        return new SimpleLogger(defaultLogger);
    }

    @Override
    public void error(String message) {
        defaultLogger.error(message);
    }

    @Override
    public void error(String format, Object... arguments) {
        defaultLogger.error(format, arguments);
    }

    @Override
    public void error(String format, Throwable t) {
        defaultLogger.error(format, t);
    }

    @Override
    public void info(String message) {
        defaultLogger.info(message);
    }

    @Override
    public void info(String format, Object... args) {
        defaultLogger.info(format, args);
    }

    @Override
    public void debug(String message) {
        defaultLogger.debug(message);
    }

    @Override
    public void debug(String format, Object... args) {
        defaultLogger.debug(format, args);
    }

}
