package com.ys.product.ysmq.front.model;

import java.io.Serializable;

/**
 * <p>
 * 经过网关时出现的错误模型, {@code {
    "code": "10001", "msg": "请求参数错误" }}, 此时请求没有到达消息管道服务.
 * </p>
 * 
 * @author jiangyuechao 2018年2月11日 上午10:44:57
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年2月11日
 * @modify by reason:{方法名}:{原因}
 */
public class GatewayError implements Serializable {
    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回码
     */
    String code;

    /**
     * 说明
     */
    String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "GatewayError [code=" + code + ", msg=" + msg + "]";
    }

}
