package com.ys.product.ysmq.front.strategy;

import java.util.List;

import com.ys.product.ysmq.front.log.Log;
import com.ys.product.ysmq.front.log.LogFactory;

/**
 * <p>
 * 重复消费,不建议使用!!,可能会导致消息卡住,不往下消费. 建议业务方结合自己的本地队列进行消息处理.
 * </p>
 * 
 * @author jiangyuechao 2019年9月4日 上午11:48:14
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2019年9月4日
 * @modify by reason:{方法名}:{原因}
 */
public class RepeatPullMessageStrategy implements HandleMessageErrorStrategy {

    private static Log log = LogFactory.getLog(RepeatPullMessageStrategy.class);

    /**
     * 默认的策略:hold住30s,重复消费
     */
    @Override
    public void handleMessageError(List<Object> data) {
        try {// 停住30s
            Thread.sleep(30000);
        } catch (InterruptedException e) {
            log.error(String.format("handleMessageError,sleep出错,data:%s.", data), e);
        }
    }

}
