package com.ys.product.ysmq.front.utils;

import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.ys.product.ysmq.front.model.BaseResultResponse;
import com.ys.product.ysmq.front.model.Const;
import com.ys.product.ysmq.front.model.GatewayError;
import com.ys.product.ysmq.front.model.ReadMsgResult;

public class ResponseParseUtil {

    public static String parseAccessToken(String data) {
        return parse(data, Const.ACCESSTOKEN);
    }

    public static String parseconsumerId(String data) {
        return parse(data, Const.CONSUMERID);
    }

    /**
     * <p>
     * 获取给定名称的数据
     * </p>
     * 
     * @author jiangyuechao 2018年1月24日 上午11:17:09
     * @param data
     * @param type
     * @return
     */
    public static String parse(String data, String type) {
        BaseResultResponse baseResult = JSON.parseObject(data, BaseResultResponse.class);
        String result = (String) baseResult.getData().get(type);
        return result;
    }

    /**
     * <p>
     * 获取给定名称的数据
     * </p>
     * 
     * @param data
     * @param type
     * @return
     */
    public static String parseBaseResultResponse(BaseResultResponse baseResult, String type) {
        String result = (String) baseResult.getData().get(type);
        return result;
    }

    /**
     * <p>
     * 把返回的结果解析为BaseResult对象
     * </p>
     * 
     * @param data
     * @return
     */
    public static BaseResultResponse parse(String data) {
        BaseResultResponse baseResult = JSON.parseObject(data, BaseResultResponse.class);
        return baseResult;
    }

    /**
     * <p>
     * 经过网关时出现的错误解析,此时请求没有到达消息管道服务.
     * </p>
     * 
     * @author jiangyuechao 2018年2月11日 上午10:42:45
     * @param data
     * @return
     */
    public static GatewayError parseGatewayError(String data) {
        GatewayError gatewayError = JSON.parseObject(data, GatewayError.class);
        return gatewayError;
    }

    /**
     * <p>
     * 把读取消息返回的结果解析为BaseRecordResult对象.
     * </p>
     * 
     * @param data
     * @return
     */
    public static ReadMsgResult parseBaseRecordResult(String data) {
        ReadMsgResult recordResult = JSON.parseObject(data, ReadMsgResult.class);
        return recordResult;
    }

    public static Map<String, Object> parseBaseResultResponse(String back) {
        BaseResultResponse baseResult = JSON.parseObject(back, BaseResultResponse.class);
        Map<String, Object> map = baseResult.getData();
        return map;
    }

}
